Package org.jcsp.net.remote

# Class SpawnerServiceNT

NTService
org.jcsp.net.remote.SpawnerServiceNT

public class SpawnerServiceNT extends NTService

Wraps up the `SpawnerService` as an NT service. To install the service, register the path `java org.jcsp.net.remote.SpawnerServiceNT` with the service name `JCSP.NET:SpawnerService`.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Creates a service instance and sets it running.
`protected void`
`startService()`
Starts the service by calling `SpawnerService.main`.
`protected void`
`stopService()`
Terminates the spawner.

## Method Details

### startService

protected void startService()
Starts the service by calling `SpawnerService.main`.

### stopService

protected void stopService()
Terminates the spawner.

### main

public static void main(String[] args)
Creates a service instance and sets it running.